assessSpikeIn2 {affycomp} | R Documentation

## New Assessment functions for Spike In Data

### Description

These functions are assessment functoions. Each takes an `exprSet-class` and returns a list with necessary information to create assessment plots.

### Usage

    assessSpikeIn2(s,method.name=NULL,verbose=TRUE)

    assessSpikeInSD(exprset,method.name=NULL,span=1/3)
    assessLS(exprset,method.name=NULL)
    assessMA2(exprset,method.name=NULL)

### Arguments

`s` | An `exprSet-class` containing exrpession measures for Affymetrix's spike-in experiment.
`exprset` | An `exprSet-class` containing exrpession measures for Affymetrix's spike-in experiment.
`method.name` | Name of expression measure being assessed.
`verbose` | logical. If `TRUE` show messages.
`span` | span used in call to `loess`.

### Details

`assessMA2` performs the assessment for the second MA-plot (Figure 1b), `assessLS` performs the assessment for signal detection plot (Figure 4c), `assessMA2` also perfomrs assessments used by fold-change related plots (Figures 5c-f). `assessSpikeInSD` is for the standard deviation assessment of Figure 2b. `assessSpikeIn2` is a wrapper for all these and returns a list of lists.

### Value

Lists with the necessary information to make the Figures.

### Author(s)

Rafael A. Irizarry

[Package affycomp version 1.14.0 Index]